import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var SaveLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-saveLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11 2l3 3v9H2V2h9zM4.5 3H3v10h1.5V7.833h7V13H13V5.415L10.585 3H5.5v1.833h5.167v1H4.5V3zm6 5.833h-5V13h5V8.833z",
    fill: "currentColor"
  }))));
});
SaveLine.displayName = "SaveLine";
export default SaveLine;